mayo 31, 2017

Pedir contraseña al cargar página con Javascript



<script language="JavaScript">
function passWord() {
   var testV = 1;
   var pass1 = prompt('Escribe tu contraseña');
   while (testV < 3) {
      if (!pass1) history.go(-1)
      if (pass1.toLowerCase() == "aquivaelpassword") {
      alert('Tu contraseña es exacta');
      break;
   }
   testV+=1;
   var pass1 = prompt('¡Equivocada! Puedes volver a intentarlo.','Contraseña');
}

if (pass1.toLowerCase()!="otra" & testV ==3)
   //history.go(-1);
   window.location = 'http://sua.economia.unam.mx'
   return " ";
}

document.write(passWord());

</script>


Fuente: http://www.htmlpoint.com/javascript/tutorial/04/index.html

mayo 23, 2017

Actualizar samba en CentOS 5 a la versión 3.5.

Actualizar samba en CentOS 5 a la versión 3.5.

Agregar repositorio:

cd /etc/yum.repos.d/

wget http://ftp.sernet.de/pub/samba/3.5/centos/5/sernet-samba.repo


Actualizar samba:

yum update samba


Si es necesario actualizar winbind:

yum install samba3-winbind samba3-utils


Verificar la versión de samba:

rpm -qa | grep samba


Restaurar Samba:

/etc/init.d/smb restart


mayo 04, 2017

Default exception handler cache_helper::purge_all Moodle

Problema:

Default exception handler: Detectado un error de codificación, debe ser corregido por un programador:

The data source class does not exist. Debug:
Error code: codingerror
* line 513 of /cache/classes/definition.php: coding_exception thrown
* line 515 of /cache/classes/helper.php: call to cache_definition::load()
* line 480 of /cache/classes/helper.php: call to cache_helper::purge_store()
* line 1737 of /lib/upgradelib.php: call to cache_helper::purge_all()
* line 677 of /admin/index.php: call to upgrade_noncore()
, referer: http://www.sitio.com/moodle/admin/index.php

Solución:

cd moodledata/muc
mv config.php config.php.bak.fecha

Listo
Se ha producido un error en este gadget.